import * as $dara from '@darabonba/typescript';
export declare class ModifyInstanceChargeTypeResponseBodyFeeOfInstancesFeeOfInstance extends $dara.Model {
    /**
     * @remarks
     * The unit of currency for the bill.
     *
     * Alibaba Cloud China site (aliyun.com): CNY.
     *
     * Alibaba Cloud International site (alibabacloud.com): USD.
     *
     * @example
     * CNY
     */
    currency?: string;
    /**
     * @remarks
     * The cost value.
     *
     * @example
     * 0
     */
    fee?: string;
    /**
     * @remarks
     * The instance ID.
     *
     * @example
     * i-bp67acfmxazb4p****
     */
    instanceId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ModifyInstanceChargeTypeResponseBodyFeeOfInstances extends $dara.Model {
    feeOfInstance?: ModifyInstanceChargeTypeResponseBodyFeeOfInstancesFeeOfInstance[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ModifyInstanceChargeTypeResponseBody extends $dara.Model {
    /**
     * @remarks
     * Details about the charges for the order.
     */
    feeOfInstances?: ModifyInstanceChargeTypeResponseBodyFeeOfInstances;
    /**
     * @remarks
     * The order ID.
     *
     * @example
     * 20413515388****
     */
    orderId?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * B61C08E5-403A-46A2-96C1-F7B1216DB10C
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
